#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.1
visibility:           public
id:                   structured-0.1.1-4K3YM4E82lP9kkL18qqNqK
key:                  structured-0.1.1-4K3YM4E82lP9kkL18qqNqK
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  be64034daed3be8eed3063c975db0632
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-9.2.8/site-local/structured-0.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/structured-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-structured
hs-libraries:         HSstructured-0.1.1-4K3YM4E82lP9kkL18qqNqK
depends:
    aeson-2.1.2.1-GayFRV4oUv8L6a1HjAAkY array-0.5.4.0 base-4.16.4.0
    base16-bytestring-1.0.2.0-6am4HAEozKG2acVuW9SjDR binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    hashable-1.4.4.0-7BSyPsBurXt9vEzyIgxmkb
    scientific-0.3.7.0-KltKYIXlMCy1e9qM9TkhQF
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP text-1.2.5.0
    time-compat-1.9.6.1-7y1Bfuw4d38AfjhMgkdUw0 transformers-0.5.6.2
    unordered-containers-0.2.20-1oXBHIneMBm69TPTD2tYrr
    uuid-types-1.0.5.1-a6Szu1QAhJle4QDLbYrb
    vector-0.13.1.0-fp7g3DnwvJ21p5JSIbLxP

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

